Subject: Pipes on Windows with Cygwin
From: [email-masked] (Utilisateur genesis)

17 Mar 1998 21:23:52 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Hy everybody,

I try to associate a procedure callback with a pipe.
I would invoke a procedure whenever Inputs becomes possible on a pipe.

I try to use select(), because I thought this function blocked until Inputs becomes possible, but it doesn't block and it returns always n=-1.

     int fd[2];
     int n;

     pipe(fd);
     FD_ZERO (&readfd);
     FD_SET (fd[0] &readfd);
     nb = fd[0] + 1;
     n = select(nb, &readfd, NULL , NULL, NULL); 

Is it possible on Windows to trap pipe Inputs with GNU-WIN32 B18 or using WIN32 API ?

Thanks for your help.

Jean-Luc CAMES

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".